> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 사용자 조회

> ID, 사용자 이름 또는 현재 인증된 사용자의 프로필을 조회합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

User 조회 엔드포인트를 사용하면 하나 이상의 사용자 프로필 정보를 조회할 수 있습니다. 사용자를 id나 사용자 이름으로 조회하거나, 현재 인증된 사용자의 자세한 정보를 가져올 수 있습니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="ID로 조회" icon="fingerprint">
    고유한 사용자 ID로 사용자를 조회합니다
  </Card>

  <Card title="사용자 이름으로 조회" icon="at">
    사용자의 @handle로 사용자를 조회합니다
  </Card>

  <Card title="여러 사용자" icon="users">
    요청당 최대 100명의 사용자를 조회합니다
  </Card>

  <Card title="인증된 사용자" icon="user-check">
    현재 인증된 사용자의 세부 정보를 가져옵니다
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## 엔드포인트
</div>

| Method | Endpoint                                                                 | Description                  |
| :----- | :----------------------------------------------------------------------- | :--------------------------- |
| GET    | [`/2/users/:id`](/ko/x-api/users/get-user-by-id)                         | ID로 사용자 조회                   |
| GET    | [`/2/users`](/ko/x-api/users/get-users-by-ids)                           | 여러 ID로 사용자 조회 (최대 100개)      |
| GET    | [`/2/users/by/username/:username`](/ko/x-api/users/get-user-by-username) | 사용자 이름으로 사용자 조회              |
| GET    | [`/2/users/by`](/ko/x-api/users/get-users-by-usernames)                  | 여러 사용자 이름으로 사용자 조회 (최대 100개) |
| GET    | [`/2/users/me`](/ko/x-api/users/get-my-user)                             | 인증된 사용자 조회                   |

***

<div id="example-request">
  ## 예시 요청
</div>

```bash theme={null}
curl "https://api.x.com/2/users/by/username/XDevelopers?\
user.fields=created_at,description,public_metrics,verified" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## 예시 응답
</div>

```json theme={null}
{
  "data": {
    "id": "2244994945",
    "name": "X Developers",
    "username": "XDevelopers",
    "created_at": "2013-12-14T04:35:55.000Z",
    "description": "X 개발자 커뮤니티의 목소리",
    "verified": true,
    "public_metrics": {
      "followers_count": 583423,
      "following_count": 2048,
      "tweet_count": 14052,
      "listed_count": 1672
    }
  }
}
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [키와 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="사용자 조회 빠른 시작" icon="rocket" href="/ko/x-api/users/lookup/quickstart/user-lookup">
    ID 또는 사용자 이름으로 사용자 조회하기
  </Card>

  <Card title="인증된 사용자 빠른 시작" icon="user" href="/ko/x-api/users/lookup/quickstart/authenticated-lookup">
    현재 사용자의 프로필 가져오기
  </Card>

  <Card title="통합 가이드" icon="book" href="/ko/x-api/users/lookup/integrate">
    핵심 개념과 모범 사례
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/users/get-user-by-id">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
